#include "define.h"
#include "../../../debug/src/include/debug.h"

#define 		LOG_ERR_FLAG		0x01
#define 		LOG_BICC_FLAG		0x02
#define 		LOG_MSG_FLAG		0x04
#define 		LOG_TIME_FLAG		0x08
#define 		LOG_DMP_FLAG		0x10
#define 		LOG_ALL_FLAG		0x1f
#define 		LOG_FILE_FLAG		0x20
/*******************************/
#define 		MAX_OPR_LEN				16
#define 		MAX_OBJ_LEN				32
#define 		MAX_VALUE_LEN			32
#define 		BICC_PREOID_LEN			12
#define 		BICC_DEBUG_OID 			17
#define 		BICC_DEBUG_PAGE			10
#define 		BICC_ASCIN_LEN			128
#define 		BICC_ASCOUT_LEN			4096


int	bicc_debug_init();
void bicc_debug_timer();
void monitor_bicc_msg(u8 *msg,u8 buf_len, BYTE flag, u32 cic, u32 portNo);
void bicc_asciout_proc(const char *fmt, ...);
